intern-0.9.1.4: Efficient hash-consing for arbitrary data types

Safe Haskell | None
Language | Haskell98

Data.Interned.Internal.String

# Documentation

data InternedString Source

Constructors

IS |

Fields

internedStringId :: !Id
uninternString :: String

Instances

Eq InternedString Source |
Ord InternedString Source |
Show InternedString Source |
IsString InternedString Source |
Uninternable InternedString Source |
Interned InternedString Source |
Eq (Description InternedString) Source |
Hashable (Description InternedString) Source |

data Description InternedString

- = Cons !Char String
- | Nil

Source

type Uninterned InternedString = String Source |